# PhasicFlow: utilities/pFlowToVTK/pointFieldToVTK.hpp File Reference

pointFieldToVTK.hpp File Reference
Include dependency graph for pointFieldToVTK.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::PFtoVTK

## Functions

template<typename IncludeMaskType >
bool | addInt64PointField (iOstream &os, word fieldName, int32 numActivePoints, int64 *field, IncludeMaskType includeMask)
template<typename IncludeMaskType >
bool | addRealPointField (iOstream &os, word fieldName, int32 numActivePoints, real *field, IncludeMaskType includeMask)
template<typename IncludeMaskType >
bool | addRealx3PointField (iOstream &os, word fieldName, int32 numActivePoints, realx3 *field, IncludeMaskType includeMask)
bool | regexCheck (word TYPENAME, word fieldType)
template<typename Type >
bool | checkFieldType (word objectType)
bool | convertIntTypesPointField (iOstream &os, const IOfileHeader &header, const pointStructure &pStruct)
bool | convertRealTypePointField (iOstream &os, const IOfileHeader &header, const pointStructure &pStruct)
bool | convertRealx3TypePointField (iOstream &os, const IOfileHeader &header, const pointStructure &pStruct)
template<typename IncludeMaskType >
bool | addUndstrcuturedGridField (iOstream &os, int32 numActivePoints, realx3 *position, IncludeMaskType includeMask)
bool | convertTimeFolderPointFields (fileSystem timeFolder, real time, fileSystem destPath, word bName)
bool | convertTimeFolderPointFieldsSelected (fileSystem timeFolder, real time, fileSystem destPath, word bName, wordVector fieldsName, bool mustExist)